libzypp 17.37.10

userrequestexception.h File Reference
`#include <iosfwd>`
`#include <zypp/base/Exception.h>`

Go to the source code of this file.

## Classes
class | zypp::UserRequestException
| Base for exceptions caused by explicit user request. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | declException(EXCP, KIND)
| Convenience macro to declare more specific PluginScriptExceptions.

## Functions
| zypp::declException (IgnoreRequestException, IGNORE)
| zypp::declException (SkipRequestException, SKIP)
| zypp::declException (RetryRequestException, RETRY)
| zypp::declException (AbortRequestException, ABORT)

## Macro Definition Documentation

## ◆ declException

#define declException | ( |  | EXCP,
|  |  | KIND )

Value:
struct ZYPP_API EXCP : public UserRequestException { \
explicit \
EXCP( const std::string & msg_r = std::string() ) \
: UserRequestException( KIND, msg_r ) \
{} \
EXCP( const std::string & msg_r, const Exception & history_r ) \
: UserRequestException( KIND, msg_r, history_r ) \
{} \
}
ZYPP_API
#define ZYPP_API
Definition Globals.h:69

Convenience macro to declare more specific PluginScriptExceptions.

Definition at line 86 of file userrequestexception.h.